Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Functions
TlpNetworkAccess.h File Reference
`#include <QtNetwork/QNetworkAccessManager>`
`#include <tulip/tulipconf.h>`
Include dependency graph for TlpNetworkAccess.h:

## Classes

- struct tlp::NetworkProxyConfiguration

## Namespaces

- namespace tlp

    The ColorButton widget provides a push button to display and allow user selection of a color.

## Functions

- TLP_QT_SCOPE
  NetworkProxyConfiguration tlp::getNetworkProxyConfiguration ()
    return the current network proxy configuration
- TLP_QT_SCOPE void tlp::setNetworkProxyConfiguration (const NetworkProxyConfiguration &)
    allow to set the current network proxy configuration
- TLP_QT_SCOPE
  QNetworkAccessManager * tlp::getNetworkAccessManager ()
    return a proxy configured QNetworkAccessManager Only one QNetworkAccessManager is needed by application

Tulip Software by LaBRI Visualization Team 2001 - 2012